vue使用webpack打包失败

vue打包报错

ERROR in static/js/vendor.0bab1cca7597d53f5cb2.js from UglifyJs
Unexpected token: punc (() [./~/_vue-fancybox@1.0.3@vue-fancybox/src/fancyBox.js:7,0][static/js/vendor.0bab1cca7597d53f5cb2.js:172930,11]

  Build failed with errors.

npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! system@1.0.0 build: `node build/build.js`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the system@1.0.0 build script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/eternity/.npm/_logs/2020-12-04T01_13_17_386Z-debug.log
The terminal process "/bin/zsh '-c', 'npm run build'" terminated with exit code: 1.

解决

修改build文件夹下的webpack.base.conf.js。

原来的文件

...
{
		test: /\.js$/,
		loader: 'babel-loader',
		include: [resolve('src'), resolve('test'), resolve('/node_modules/vue-fancybox/src'),
			resolve('/node_modules/.1.0.3@vue-fancybox/src')
		]
},
      ...

修改之后的文件

...
{
		test: /\.js$/,
		loader: 'babel-loader',
		include: [resolve('src'), resolve('test'), resolve('/node_modules/vue-fancybox/src'),
			resolve('/node_modules/.1.0.3@vue-fancybox/src'),
			resolve('/node_modules/_vue-fancybox@1.0.3@vue-fancybox/src/fancyBox.js')
		]
},
      ...
# Vue  

评论

Your browser is out-of-date!

Update your browser to view this website correctly. Update my browser now

×